org.eclipse.emf.compare.rcp

## Class EMFCompareRCPPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.compare.rcp.EMFCompareRCPPlugin

All Implemented Interfaces:
  BundleActivator

    public class EMFCompareRCPPlugin
    extends org.eclipse.core.runtime.Plugin

This is the central singleton for the EMF Compare RCP plugin.

### Field Summary

Fields
`static String` `CONFLICT_DETECTOR_PPID` The id of the conflict engine extension point.
`static String` `DIFF_ENGINE_PPID` The id of the diff engine extension point.
`static String` `EQUALITY_HELPER_EXTENSION_PROVIDER_PPID` The id of the equality helper extension provider extension point.
`static String` `EQUI_ENGINE_PPID` The id of the equi engine extension point.
`static String` `FACTORY_PPID` The id of the adapter factory extension point.
`static String` `LOAD_ON_DEMAND_POLICY_PPID` The id of the load on demand policy extension point.
`static String` `MATCH_ENGINE_PPID` The id of the match extension point.
`static String` `MERGER_PPID` The id of the merger extension point.
`static String` `PLUGIN_ID` The plug-in ID.
`static String` `POST_PROCESSOR_PPID` The id of the post processor extension point.
`static String` `REQ_ENGINE_PPID` The id of the req engine extension point.
`static String` `WEIGHT_PROVIDER_PPID` The id of the weight provider extension point.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareRCPPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`RankedAdapterFactoryDescriptor.Registry` `createFilteredAdapterFactoryRegistry()` Deprecated. Use `createFilteredAdapterFactoryRegistry(Map)` to take the context into consideration. Typically, you would provide the comparison as a context map by passing `ImmutableMap.of(IContextTester.CTX_COMPARISON, comparison)` as an argument. If no comparison context is available, use an empty context.
`RankedAdapterFactoryDescriptor.Registry` `createFilteredAdapterFactoryRegistry(Map<Object,Object> context)` Returns a new instance of EMF Compare adapter factory descriptor registry to which extension will be registered.
`RankedAdapterFactoryDescriptor.Registry` `getAdapterFactoryRegistry()` Returns the adapter factory descriptor registry to which extension will be registered.
`IItemRegistry<IConflictDetector>` `getConflictDetectorDescriptorRegistry()` Returns the registry of Conflict detector.
`static EMFCompareRCPPlugin` `getDefault()` Returns the shared instance.
`IItemRegistry<IDiffEngine>` `getDiffEngineDescriptorRegistry()` Returns the registry of Differences engines.
`EqualityHelperExtensionProvider.Descriptor.Registry` `getEqualityHelperExtensionProviderRegistry()` Returns the registry of equality helper extension providers.
`IItemRegistry<IEquiEngine>` `getEquiEngineDescriptorRegistry()` Returns the registry of Equivalences engines.
`IGraphView<URI>` `getGraphView(String id)` Return the graph view associated with the given id, or null if it does not exist.
`ILoadOnDemandPolicy.Registry` `getLoadOnDemandPolicyRegistry()` Returns the registry of load on demand policies.
`IItemRegistry<IMatchEngine.Factory>` `getMatchEngineFactoryDescriptorRegistry()` Returns the match engine factory registry to which extension will be registered.
`IMatchEngine.Factory.Registry` `getMatchEngineFactoryRegistry()` Returns the match engine factory registry to which extension will be registered.
`IMerger.Registry` `getMergerRegistry()` Returns the merger registry to which extension will be registered.
`IItemRegistry<IPostProcessor.Descriptor>` `getPostProcessorDescriptorRegistry()` Get the `IItemRegistry` of `IPostProcessor.Descriptor`.
`IPostProcessor.Descriptor.Registry<String>` `getPostProcessorRegistry()` Returns the post processor registry to which extension will be registered.
`IItemRegistry<IReqEngine>` `getReqEngineDescriptorRegistry()` Returns the registry of Requirements engines.
`WeightProvider.Descriptor.Registry` `getWeightProviderRegistry()` Returns the registry of weight providers.
`void` `log(int severity, String message)` Log the given message with the given severity to the logger of this plugin.
`void` `register(IGraphConsumer consumer)` This method creates a new Graph of URI, passes it to the given consumer and then keeps track of the given graph to be able to provide a read only view of it on demand.
`void` `start(BundleContext bundleContext)`
`void` `stop(BundleContext bundleContext)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

#### POST_PROCESSOR_PPID

    public static final String POST_PROCESSOR_PPID

The id of the post processor extension point.

See Also:
  Constant Field Values

#### DIFF_ENGINE_PPID

    public static final String DIFF_ENGINE_PPID

The id of the diff engine extension point.

See Also:
  Constant Field Values

#### EQUI_ENGINE_PPID

    public static final String EQUI_ENGINE_PPID

The id of the equi engine extension point.

See Also:
  Constant Field Values

#### REQ_ENGINE_PPID

    public static final String REQ_ENGINE_PPID

The id of the req engine extension point.

See Also:
  Constant Field Values

#### CONFLICT_DETECTOR_PPID

    public static final String CONFLICT_DETECTOR_PPID

The id of the conflict engine extension point.

See Also:
  Constant Field Values

#### WEIGHT_PROVIDER_PPID

    public static final String WEIGHT_PROVIDER_PPID

The id of the weight provider extension point.

See Also:
  Constant Field Values

#### EQUALITY_HELPER_EXTENSION_PROVIDER_PPID

    public static final String EQUALITY_HELPER_EXTENSION_PROVIDER_PPID

The id of the equality helper extension provider extension point.

See Also:
  Constant Field Values

#### LOAD_ON_DEMAND_POLICY_PPID

    public static final String LOAD_ON_DEMAND_POLICY_PPID

The id of the load on demand policy extension point.

See Also:
  Constant Field Values

#### MERGER_PPID

    public static final String MERGER_PPID

The id of the merger extension point.

See Also:
  Constant Field Values

#### MATCH_ENGINE_PPID

    public static final String MATCH_ENGINE_PPID

The id of the match extension point.

See Also:
  Constant Field Values

#### FACTORY_PPID

    public static final String FACTORY_PPID

The id of the adapter factory extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### EMFCompareRCPPlugin

    public EMFCompareRCPPlugin()

### Method Detail

#### start

    public void start(BundleContext bundleContext)
               throws Exception

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### stop

    public void stop(BundleContext bundleContext)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### getAdapterFactoryRegistry

    public RankedAdapterFactoryDescriptor.Registry getAdapterFactoryRegistry()

Returns the adapter factory descriptor registry to which extension will be registered.

Returns:
  the the adapter factory descriptor registry to which extension will be registered
Since:
  3.0

#### createFilteredAdapterFactoryRegistry

    @Deprecated
    public RankedAdapterFactoryDescriptor.Registry createFilteredAdapterFactoryRegistry()

Deprecated. Use `createFilteredAdapterFactoryRegistry(Map)` to take the context into consideration. Typically, you would provide the comparison as a context map by passing `ImmutableMap.of(IContextTester.CTX_COMPARISON, comparison)` as an argument. If no comparison context is available, use an empty context.
Returns a new instance of EMF Compare adapter factory descriptor registry to which extension will be registered. It filters available adapter factories using preferences.

Returns:
  the the adapter factory descriptor registry to which extension will be registered
Since:
  2.3

#### createFilteredAdapterFactoryRegistry

    public RankedAdapterFactoryDescriptor.Registry createFilteredAdapterFactoryRegistry(Map<Object,Object> context)

Returns a new instance of EMF Compare adapter factory descriptor registry to which extension will be registered. It filters available adapter factories using preferences.

Parameters:
  `context` - context for the adapter factories. This context cannot be null but may be empty.
Returns:
  the adapter factory descriptor registry to which extension will be registered
Since:
  2.5

#### getMergerRegistry

    public IMerger.Registry getMergerRegistry()

Returns the merger registry to which extension will be registered.

Returns:
  the merger registry to which extension will be registered
Since:
  3.0

#### getPostProcessorRegistry

    public IPostProcessor.Descriptor.Registry<String> getPostProcessorRegistry()

Returns the post processor registry to which extension will be registered.

Returns:
  the post processor registry to which extension will be registered

#### getPostProcessorDescriptorRegistry

    public IItemRegistry<IPostProcessor.Descriptor> getPostProcessorDescriptorRegistry()

Get the `IItemRegistry` of `IPostProcessor.Descriptor`.

Returns:
  `IItemRegistry` of `IPostProcessor.Descriptor`.
Since:
  2.2.0

#### getLoadOnDemandPolicyRegistry

    public ILoadOnDemandPolicy.Registry getLoadOnDemandPolicyRegistry()

Returns the registry of load on demand policies.

Returns:
  the registry of load on demand policies.

#### getDiffEngineDescriptorRegistry

    public IItemRegistry<IDiffEngine> getDiffEngineDescriptorRegistry()

Returns the registry of Differences engines.

Returns:
  the registry of Differences engines

#### getEquiEngineDescriptorRegistry

    public IItemRegistry<IEquiEngine> getEquiEngineDescriptorRegistry()

Returns the registry of Equivalences engines.

Returns:
  the registry of Equivalences engines

#### getReqEngineDescriptorRegistry

    public IItemRegistry<IReqEngine> getReqEngineDescriptorRegistry()

Returns the registry of Requirements engines.

Returns:
  the registry of Requirements engines

#### getConflictDetectorDescriptorRegistry

    public IItemRegistry<IConflictDetector> getConflictDetectorDescriptorRegistry()

Returns the registry of Conflict detector.

Returns:
  the registry of Conflict detector

#### getWeightProviderRegistry

    public WeightProvider.Descriptor.Registry getWeightProviderRegistry()

Returns the registry of weight providers.

Returns:
  the registry of weight providers

#### getEqualityHelperExtensionProviderRegistry

    public EqualityHelperExtensionProvider.Descriptor.Registry getEqualityHelperExtensionProviderRegistry()

Returns the registry of equality helper extension providers.

Returns:
  the registry of equality helper extension providers

#### getMatchEngineFactoryRegistry

    public IMatchEngine.Factory.Registry getMatchEngineFactoryRegistry()

Returns the match engine factory registry to which extension will be registered.

Returns:
  the match engine factory registry to which extension will be registered
Since:
  3.0

#### getMatchEngineFactoryDescriptorRegistry

    public IItemRegistry<IMatchEngine.Factory> getMatchEngineFactoryDescriptorRegistry()

Returns the match engine factory registry to which extension will be registered.

Returns:
  the match engine factory registry to which extension will be registered
Since:
  3.0

#### log

    public void log(int severity,
                    String message)

Log the given message with the given severity to the logger of this plugin.

Parameters:
  `severity` - the severity of the message.
  `message` - the message to log.

#### getDefault

    public static EMFCompareRCPPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance

#### register

    public void register(IGraphConsumer consumer)

This method creates a new Graph of URI, passes it to the given consumer and then keeps track of the given graph to be able to provide a read only view of it on demand.

Parameters:
  `consumer` - An instance of graph consumer, for instance the ThreadedModelResolver instance.
Throws:
  `IllegalArgumentException` - if the consumer uses an ID that is already registered.
Since:
  2.4

#### getGraphView

    public IGraphView<URI> getGraphView(String id)

Return the graph view associated with the given id, or null if it does not exist.

Parameters:
  `id` - The id of the graph
Returns:
  The graph view registered for the given ID, which can be null.
Since:
  2.4